PLSTART(3)

NAME
plstart - Initialization

SYNOPSIS
plstart(devname, nx, ny)

DESCRIPTION

Alternative to plstar(3) for initializing the plotting package. The device name keyword for the desired output device must be supplied as an argument. These keywords are the same as those printed out by plstar(3). If the requested device is not available, or if the input string is empty or begins with ``?'', the prompted start up of plstar(3) is used. This routine also divides the output device page into nx by ny subpages, each of which may be used independently. The subroutine pladv(3) is used to advance from one subpage to the next.

Redacted form: General: plstart(devname, nx, ny)

This function is not used in any examples.

ARGUMENTS

devname (PLCHAR_VECTOR(3), input)
    An ascii character string containing the device name keyword of the required output device. If devname is NULL or if the first character of the string is a ``?'', the normal (prompted) start up is used.

nx (PLINT(3), input)
    Number of subpages to divide output page in the x direction.

ny (PLINT(3), input)
    Number of subpages to divide output page in the y direction.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.